VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::cli::NamespaceTypes::Identity Class Reference

The `Namespace.Identity` class uniquely identifies a namespace in the CLI namespace tree. More...

List of all members.

## Public Member Functions
| Identity ()
| Creates a default new instance.
string | GetPath ()
| The dot-separated path of the namespace containing the namespace in the CLI node tree.
void | SetPath (string path)
| The dot-separated path of the namespace containing the namespace in the CLI node tree.
string | GetName ()
| The name displayed to the user for this namespace.
void | SetName (string name)
| The name displayed to the user for this namespace.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `Namespace.Identity` class uniquely identifies a namespace in the CLI namespace tree.

## Constructor & Destructor Documentation

vmware::vapi::metadata::cli::NamespaceTypes::Identity::Identity | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::cli::NamespaceTypes::Identity::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::cli::NamespaceTypes::Identity::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::cli::NamespaceTypes::Identity::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::cli::NamespaceTypes::Identity::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::cli::NamespaceTypes::Identity::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::cli::NamespaceTypes::Identity::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::cli::NamespaceTypes::Identity::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::cli::NamespaceTypes::Identity::GetName | ( |  | ) | `[inline]`

The name displayed to the user for this namespace.

string vmware::vapi::metadata::cli::NamespaceTypes::Identity::GetPath | ( |  | ) | `[inline]`

The dot-separated path of the namespace containing the namespace in the CLI node tree.

For top-level namespace this will be empty.

void vmware::vapi::metadata::cli::NamespaceTypes::Identity::SetName | ( | string | name | ) | `[inline]`

The name displayed to the user for this namespace.

void vmware::vapi::metadata::cli::NamespaceTypes::Identity::SetPath | ( | string | path | ) | `[inline]`

The dot-separated path of the namespace containing the namespace in the CLI node tree.

For top-level namespace this will be empty.

override string vmware::vapi::metadata::cli::NamespaceTypes::Identity::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- NamespaceTypes.cs